/*******************************************************************************
 * Copyright (c) 2016 BREDEX GmbH.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     BREDEX GmbH - initial API and implementation and/or initial documentation
 *******************************************************************************/
package org.eclipse.jubula.client.archive.dto;

import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * @author BREDEX GmbH
 */
public class ParamDescriptionDTO {
    /** */
    private String m_name, m_type, m_uuid;
    /** */
    private ValueSetDTO m_valueSet;
    
    /**
     * @return name
     */
    @JsonProperty("name")
    public String getName() {
        return m_name;
    }

    /**
     * @param name 
     */
    public void setName(String name) {
        this.m_name = name;
    }
    
    /**
     * @return type
     */
    @JsonProperty("type")
    public String getType() {
        return m_type;
    }

    /**
     * @param type 
     */
    public void setType(String type) {
        this.m_type = type;
    }
    
    /**
     * @return uuid
     */
    @JsonProperty("uuid")
    public String getUuid() {
        return m_uuid;
    }

    /**
     * @param uuid 
     */
    public void setUuid(String uuid) {
        this.m_uuid = uuid;
    }

    /**
     * @return the {@link ValueSetDTO} or null
     */
    @JsonProperty("valueSetData")
    public ValueSetDTO getValueSet() {
        return m_valueSet;
    }

    /**
     * @param valueSet the {@link ValueSetDTO}
     */
    public void setValueSet(ValueSetDTO valueSet) {
        m_valueSet = valueSet;
    }
}
